$animation-duration: 0.5s;

@include keyframes(skelettonAnimation) {
  0% {
    @include opacity(0.5);
  }
  100% {
    @include opacity(1);
  }
}
.Form {
  @include display-flex;
  @include flex-direction(column);
  &-text {
    text-align: center;
    color: $app_black;
    font-size: 1.6rem;
    margin-bottom: 15px;
    strong {
      font-weight: 600;
    }
    &--borderBottom {
      border-bottom: 1px solid $app_grey;
      padding-bottom: 5px;
    }
  }
  &-container {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
  }
  &-column {
    width: 100%;
    @include responsive(desktop tablet) {
      width: 48%;
    }
  }
  &-field {
    @include display-flex;
    @include flex-direction(column);
    &:not(:last-child) {
      margin-bottom: 15px;
    }
    &-input {
      @include display-flex;
      background-color: $app_grey;
      @include border-radius(14px);
      height: 46px;
      padding: 0 15px;
      position: relative;
      &-full-width {
        width: 100%;
      }
      &--withLeftIcon {
        label {
          left: 51px !important;
        }
        input {
          margin-left: 10px !important;
        }
      }
      &--withRightIcon {
        input {
          margin-right: 10px !important;
        }
      }
      &--withRightButton {
        align-content: center;
        justify-content: center;
        padding-right: 0;
      }
      &-with-right-button {
        margin-right: 0;
      }
      &-rightButton {
        min-width: 90px;
        cursor: pointer;
      }
      img {
        max-width: 26px;
      }
      label {
        position: absolute;
        top: 11px;
        font-size: 1.5rem;
        left: 15px;
        height: 16px;
        color: $app_dark_grey;
        margin: 0;
        pointer-events: none;
        @include transition(all 0.2s ease-in-out);
        span {
          color: $app_red;
        }
      }
      input {
        @include flex(1);
        color: $app_black;
        font-size: 1.5rem;
        font-weight: 600;
        background-color: transparent;
        border: 0;
        padding: 0;
        height: 100%;
        width: 100%;
        &:focus,
        &.not_empty,
        &.ng-dirty {
          padding-top: 20px;
          outline: none;
        }
        &:focus ~ label,
        &.not_empty ~ label,
        &.ng-dirty ~ label {
          top: 5px;
          font-size: 1.2rem;
        }
      }
      &--skeletton {
        padding: 0;
        > * {
          background-color: #f4f4f4;
          @include animation(
            skelettonAnimation,
            $animation-duration,
            ease-in-out,
            false,
            infinite,
            alternate
          );
        }
        .Form-field-input-skeletton1 {
          @include border-radius(100%);
          width: 14vw;
          height: 14vw;
          margin-bottom: 5px;
        }
        .Form-field-input-skeletton2 {
          width: 70%;
          height: 3vw;
          @include border-radius(5px);
        }
      }
    }

    &-text-area {
      @include display-flex;
      background-color: $app_grey;
      @include border-radius(14px);
      height: 86px;
      padding: 0 15px;
      position: relative;
      label {
        position: absolute;
        top: 11px;
        font-size: 1.5rem;
        left: 15px;
        height: 16px;
        color: $app_dark_grey;
        margin: 0;
        pointer-events: none;
        @include transition(all 0.2s ease-in-out);
        span {
          color: $app_red;
        }
      }
      textarea {
        @include flex(1);
        color: $app_black;
        font-size: 1.5rem;
        font-weight: 600;
        background-color: transparent;
        border: 0;
        padding: 0;
        height: 100%;
        width: 100%;
        &:focus,
        &.not_empty,
        &.ng-dirty {
          padding-top: 20px;
          outline: none;
        }
        &:focus ~ label,
        &.not_empty ~ label,
        &.ng-dirty ~ label {
          top: 5px;
          font-size: 1.2rem;
        }
      }
    }
    &-radio {
      @include flex-center;
      justify-content: space-between;
      background-color: $app_grey;
      @include border-radius(14px);
      height: 46px;
      padding: 0 15px;
      position: relative;
      label {
        font-size: 1.5rem;
        left: 15px;
        color: $app_dark_grey;
        margin: 0;
        @include transition(all 0.2s ease-in-out);
        span {
          color: $app_red;
        }
      }
      .mat-slide-toggle.mat-checked .mat-slide-toggle-bar {
        background-color: $app_green;
      }
      .mat-slide-toggle.mat-checked .mat-slide-toggle-thumb {
        background-color: $app_green_dark;
      }
    }
    &-select {
      padding: 0 15px 0 0;
      select {
        border-radius: 14px;
        border: none;
        outline: none;
        cursor: pointer;
        height: 100%;
        width: 100%;
        padding: 0 15px;
        font-size: 1.5rem;
        font-weight: 600;
        color: $app_black;
        transition: all 0.2s ease-in-out;

        //padding-top: 20px;
      }
      label {
        z-index: 1000;
      }
      &-selected {
        label {
          top: 5px;
          font-size: 1.2rem;
        }
        select {
          padding-top: 20px;
        }
      }
      &-white {
        select {
          background-color: white;
        }
      }
    }
    &-error {
      color: $app_red;
      font-size: 1.2rem;
      margin-top: 5px;
      margin-left: 5px;
    }
    &-success {
      color: $app_green;
      font-size: 1.2rem;
      margin-top: 5px;
      margin-left: 5px;
    }
    &-row {
      width: 100%;
      flex-direction: row;
      justify-content: space-between;
      &-column {
        flex: 0.48;
      }
      &-error {
        margin-bottom: 0 !important;
      }
      &--with-errors {
        margin: 0 !important;
      }
    }
    &-centered {
      padding-inline: 2rem;
    }
    input::-webkit-outer-spin-button,
    input::-webkit-inner-spin-button {
      -webkit-appearance: none;
      margin: 0;
    }

    /* Firefox */
    input[type='number'] {
      -moz-appearance: textfield;
    }
  }
  &-button {
    // @extend .Button--reset;
    margin-top: 15px;
    background-color: $app_green;
    color: $app_white;
    @include border-radius(14px);
    height: 46px;
    @include flex-center;
    width: 100%;
    font-size: 1.5rem;
    @include responsive(desktop tablet) {
      @include align-self(center);
      &--notFull {
        width: auto;
        padding-left: 60px;
        padding-right: 60px;
      }
      &--noMarginTop {
        margin-top: 0;
      }
    }
    &--off {
      pointer-events: none;
      background-color: $app_off !important;
      @include box-shadow(none !important);
    }
    &-no-margin {
      margin: 0;
    }
    &-stroke {
      background-color: $app_white;
      color: $app_red;
      border: 1px solid $app_red;
    }
    circle {
      stroke: white;
    }
  }
  &-links {
    @include display-flex;
    @include align-items(center);
    @include justify-content(space-between);
    width: 100%;
    margin-top: 15px;
    &-item {
      // @extend .Button--reset;
      color: $app_black;
      font-size: 1.4rem;
      text-decoration: underline;
    }
  }
}
